<?php

namespace App\Http\Livewire;

use Livewire\Component;
use Cart;

class Urunler extends Component
{


    public function render()
    {
        $urunler = \App\Models\Urunler::orderBy('sira', 'asc')
            ->where('durum', 1)
            ->paginate(15);

        return view('livewire.urunler',['urunler'=>$urunler]);
    }

    public function addToCart($product_id,$product_baslik,$product_fiyat)
    {
        Cart::add($product_id,$product_baslik,1,$product_fiyat,['product_type' => 5])->associate('\App\Models\Urunler');

        $this->emitTo('sepeticonu','refreshComponent');

        $swalData = [
            'type' => 'success',
            'title' => 'Başarılı',
            'message' => 'Sepete Başarıyla Eklenmiştir, Yönleniyorsuz',
        ];
        $this->dispatchBrowserEvent('islembasarili', $swalData);

        return redirect()->route('cart');
    }
}
